pads_backannotate(1)

NAME
pads_backannotate - backannotates changes from a PADS engineering change order (ECO) file to schematic

SYNOPSIS
pads_backannotate -h|--help pads_backannotate -V|--version pads_backannotate [options] ecofile.eco infile1.sch [infile2.sch ...]

DESCRIPTION
The pads_backannotate program reads an engineering change order (ECO) file generated by the PADS program and backannotates the requested changes to a gschem schematic or schematics. Refer to the PADS manual for a complete description of the ECO file format.

OPTIONS

-h, --help
    prints help message and exits

-n, --nocopy
    Leave the modified schematic files in new files whose names are generated by appending .new to the original file names. The default is to overwrite the original.

-v, --verbose
    operate verbosely

-V, --version
    prints version information and exits

EXIT STATUS
pads_backannotate will return 0 if all files processed successfully, non-zero if the command did not complete successfully.

BUGS
Rather than parsing and processing schematic files directly, this utility should be rewritten using the gEDA scheme API. This would take advantage of the existing parsers for the schematic files. Reference designator renaming is fully supported. Pin and gate swapping is parsed but not automatically applied to the schematic database. Instead, a report listing the manual pin and gate swapping that is required. The other features of the ECO file are not supported yet.

SEE ALSO
gnetlist(1), gschem(1) Also refer to "Forward/Backward Annotation Between gEDA/gaf and PADS PowerPCB" which may be found at http://wiki.geda-project.org/geda:fbabgapp